@import url('https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Epilogue:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('fonts/myriad-pro/style.css');
@import url('fonts/futura/style.css');

:root{
    --principal: #00B49B;
    --secundario: #254c6d;
    --negro: #090909;
    --blanco: #ffffff;
}

*{
    margin: 0;
    padding: 0;
}
html {
    scroll-behavior: smooth;
}
main .banner,
main .problema,
main .solucion,
main .contenido-central {
    font-family: 'Myriad Pro Regular' !important; 
}
main .banner h1, 
main .contenido-central h2, 
main .contenido-central h3, 
main .contenido-central h4, 
main .contenido-central h5 {
    font-family: 'Futura medium' !important;
    line-height: 1.1;
}
.banner p, 
.banner a, 
.contenido-central p, 
.contenido-central a, 
.contenido-central input, 
.contenido-central textarea,
.problema p, 
.solucion p {
    font-family: 'Myriad Pro Regular' !important;
    /* font-size: 16px; */
    font-size: 17px;
    line-height: 1.5;
}

#scrollTop {
    background-color: var(--secundario);
    position: fixed;
    bottom: 0;
    right: 20px;
    width: 24px;
    height: 24px;
    text-align: center;
    padding: 5px;
    border-radius: 5px 5px 0 0;
}
#scrollTop:hover {
    background-color: var(--principal);
    cursor: pointer;
    
}
#scrollTop img {
    transform: rotate(180deg);
}
/*/////////////////////////////////////////////////*/
/*/////////////////////Banner/////////////////////*/
/*/////////////////////////////////////////////////*/
#inicio{
    position: relative;
    overflow: hidden;
}

#inicio .video{
    position: absolute;
    bottom: 25px;
    right: 25px;
    z-index: 9;
    transform: translateX(120%);
    transition: transform 0.7s ease;
}

#inicio .video .close{
    position: absolute;
    top: 5px;
    right: 5px;
    width: 35px;
    height: 35px;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.322);
    border-radius: .9em;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    opacity: 0;
    transition: ease-in-out all .5s;
}
#inicio .video:hover .close {
    opacity: 1;
}

#inicio video {
    width: 800px;
    height: 450px;
    /* width: 700px;
    height: 394px; */
    border-radius: 1em;
    -webkit-box-shadow: -19px 21px 25px -12px rgba(0,0,0,0.22);
    -moz-box-shadow: -19px 21px 25px -12px rgba(0,0,0,0.22);
    box-shadow: -19px 21px 25px -12px rgba(0,0,0,0.22);
    object-fit: cover;
}

.banner{
    background: url('/uploads/plantas-desaladoras-compactas-fondo2.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    background-position: center center;
    display: flex;
    justify-content: start;
    align-items: center;
    position: relative;
}

.banner .content{
    width: 40%;
    padding: 5%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.banner .content h1{
    color: var(--secundario);
    font-size: 48px;
    max-width: 21ch;
    line-height: 1.1;
}

.banner .content h1 span{
    color: var(--principal);
    font-size: 25px;
    display: block;
    font-weight: 500;
}


.banner .content p{
    line-height: 1.5;
    max-width: 80ch;
    /* font-size: 1.2rem; */
}
.banner .content .botones{
    display: flex;
    gap: 2rem;
    align-items: center;
}

.banner .content a{
    color: var(--secundario);
}

.banner .content a:first-child{
    text-decoration: none;
    color: white;
    background-color: var(--principal);
    align-self: flex-start;
    padding: 1rem 2rem;
    border-radius: 5em;
}
.banner .content a:first-child:hover {
    background-color: var(--secundario);
}

.banner img{
    position: absolute;
    bottom: 50px;
    left: 0;
    right: 0;
    margin: 0 auto;
    animation: flecha 1s ease-in-out infinite alternate;
    width: 25px;
}

@keyframes flecha {
    0%{
        bottom: 50px;
    }
    100%{
        bottom: 20px;
    }
}


/*/////////////////////////////////////////////////*/
/*////////////////////Problema/////////////////////*/
/*/////////////////////////////////////////////////*/

.problema, .solucion{
    padding: 5% 15%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.problema{
    background-color: var(--secundario);
}

.solucion{
    background-color: var(--principal);
}

.problema h2, .solucion h2{
    font-size: 32px;
    color: white;
    position: relative;
}

.problema h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}

.solucion h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--secundario);
    margin: 1rem 25%;
}

.problema p, .solucion p{
    color: white;
    line-height: 1.5;
    text-align: center;
    max-width: 120ch;
}


.solucion a{
    text-decoration: none;
    color: white;
    background-color: var(--secundario);
    align-self: center;
    padding: 1rem 2rem;
    border-radius: 5em;
}

.contenido-central{
    padding: 5% 10%;
}

.contenido-central h2{
    text-align: center;
}

/*/////////////////////////////////////////////////*/
/*///////////////////Beneficios////////////////////*/
/*/////////////////////////////////////////////////*/

#beneficios{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
}

#beneficios h2{
    font-size: 32px;
    color: var(--secundario);
}

#beneficios h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}


#beneficios .contenidos{
    display: grid;
    grid-template-columns: repeat(6,1fr);
    gap: 2em;
}

#beneficios .contenidos .contenido{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 1rem;
    background-color: #f3f3f3;
    padding: 2rem;
    border-radius: 1em;
    min-height: 16vh;
    grid-column: span 2;
}

#beneficios .contenidos .contenido h3{
    font-size: 24px;
    color: var(--principal);
}

#beneficios .contenidos .contenido p{
    /* font-size: 14px; */
    color: var(--secundario);
    line-height: 1.5;
}

#beneficios .contenidos .contenido:nth-child(2n){
    background-color: var(--principal);
}

#beneficios .contenidos .contenido:nth-child(2n) h3{
    color: var(--secundario);
}

#beneficios .contenidos .contenido:nth-child(2n) p{
    color: white;
}

#beneficios .contenidos .contenido:nth-child(4) { 
    grid-column-start: 2;
    grid-column-end: 4;
}

#beneficios .contenidos .contenido:nth-child(5) { 
    grid-column-start: 4;
    grid-column-end: 6;
}

/*/////////////////////////////////////////////////*/
/*/////////////////////Fases///////////////////////*/
/*/////////////////////////////////////////////////*/

#fases{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    min-height: 70vh;
    background: url('/uploads/pexels-arnie-watkins-3124674.jpg');
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}
#fases::after{
    content: '';
    background-color: #09090990;
    width: 100%;
    height: 100%;
    position: absolute;
    display: block;
    backdrop-filter: blur(5px);
    z-index: 0;
}

#fases h2{
    font-size: 32px;
    color: white;
    z-index: 1;
}

#fases h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}


#fases .contenidos{
    display: grid;
    grid-template-columns: repeat(5,1fr);
    gap: 3em;
    z-index: 1;
}

#fases .contenidos .contenido{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 1rem;
    background-color: white;
    padding: 2rem;
    border-radius: 1em;
    min-height: 16vh;
    position: relative;
}

#fases .contenidos .contenido::after{
    content: '\2192';
    display: block;
    position: absolute;
    color: white;
    top: 42%;
    right: -2rem;
    font-size: 2rem;
    letter-spacing: -6px;
    font-weight: 600;
}

#fases .contenidos .contenido:last-child:after { 
    display: none;
}

#fases .contenidos .contenido h3{
    font-size: 24px;
    color: var(--secundario);
}

#fases .contenidos .contenido p{
    /* font-size: 14px; */
    color: var(--secundario);
    line-height: 1.5;
}

/*/////////////////////////////////////////////////*/
/*/////////////////Formulario//////////////////////*/
/*/////////////////////////////////////////////////*/

#formulario{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    background-color: #f6f6f6;
}
#formulario .caixa_personal {
    width: 100%;
    position: relative;
}

#formulario h2{
    font-size: 32px;
    color: var(--secundario);
    line-height: 1.1;
}

#formulario h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}

#formulario h3::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 0;
}

#formulario .contenidos{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: start;
    gap: 2rem;
}

#formulario .contenidos .contenido{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 2rem;
    width: 40%;
}

#formulario .contenidos .contenido h3{
    font-size: 26px;
    color: var(--secundario);
}

#formulario .contactos{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

#formulario .contactos .contacto a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    text-decoration: none;
    color: #090909;
}

#formulario .contenido form{
    display: flex;
    flex-direction: column;
    width: 100%;
}

#formulario .contenido form input, #formulario .contenido form textarea{
    width: calc(100% - 2rem);
    margin-bottom: 1rem;
    margin-top: .5rem;
    outline: 1px solid #09090920;
    border: 0;
    border-radius: 0.5em;
    padding: 1rem;
}
#formulario .contenido form textarea {
    height: 100px;
}

#formulario .caixa_envia input {
    width: fit-content !important;
}
#formulario .caixa_envia input.boto_envia {
    width: 25%;
    padding: 1rem 2rem;
    background-color: var(--principal);
    border: 0;
    color: white;
    border-radius: 5em;
    transition: ease-in-out all .2s;
    font-size: 16px;
    cursor: pointer;
}

#formulario .contenido form label{
    color: var(--secundario);
    font-weight: 600;
}

#formulario .contenido form input{
    min-height: 1vh;  
}

#formulario .caixa_envia input.boto_envia:hover{
    background-color: var(--secundario);
}
#formulario .fons_vert_fosc {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #6dcd6d;
    border-radius: 1em;
}
#formulario .fons_vert_fosc .capsa {
    width: 100%;
    padding: 20px;
}

/*/////////////////////////////////////////////////*/
/*///////////////////Plantas///////////////////////*/
/*/////////////////////////////////////////////////*/

#plantas{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    background-color: #f3f3f3;
    overflow: hidden;
}

#plantas .plantas-cont{
    display: flex;
    gap: 2rem;
    justify-content: center;
    /* align-items: center; */
    align-items: stretch;
    width: 100%;
    /* overflow: hidden; */
    padding-bottom: 20px;
}

#plantas h2{
    font-size: 32px;
    color: var(--secundario);
}

#plantas p{
    font-size: 16px;
}
#plantas .intro{
    /* font-size: 16px; */
    font-size: 17px;
    text-align: center;
    margin-bottom: 2rem;
}
#plantas h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}


#plantas .contenidos{
    display: grid;
    grid-template-columns: repeat(1,1fr);
    gap: 2em;
    width: 60%;
}

#plantas .contenidos .contenido{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 2rem;
    background-color: #fff;
    padding: 2rem;
    border-radius: 1em;
    min-height: 8vh;
    grid-column: span 2;
}
#plantas .contenidos .contenido div{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

#plantas .contenidos .contenido h3{
    font-size: 24px;
    color: var(--principal);
}

#plantas .contenidos .contenido p{
    /* font-size: 14px; */
    color: var(--secundario);
    line-height: 1.5;
}

#plantas .imagen {
    background: url('/uploads/planta_reutilizacion_compacta_piloto-1.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 40%;
    /* height: 89vh; */
    border-radius: 1em;
    box-shadow: 4px 4px 10px #00000020;
}


#instalaciones{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
}

#instalaciones h2{
    font-size: 32px;
    color: var(--secundario);
}

#instalaciones h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}


#instalaciones .intro{
    padding-bottom: 3rem;
    max-width: 100ch;
    text-align: center;
}


#instalaciones .contenidos{
    display: grid;
    grid-template-columns: repeat(1,1fr);
    gap: 2em;
}

#instalaciones .contenidos .contenido{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    overflow: hidden;
    padding: 15px 0;
}

#instalaciones .contenidos .contenido img {
    width: 25vw;
    height: 15vw;
    object-fit: cover;
    border-radius: 1em;
    box-shadow: 4px 4px 10px #00000020;
}

#instalaciones .contenidos .contenido .texto{
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem 0;
}

#instalaciones .contenidos .contenido .texto h3{
    font-size: 26px;
    color: var(--secundario);
}

#instalaciones .contenidos .contenido .texto p{
    font-size: 16px;
    line-height: 1.5;
}

/*/////////////////////////////////////////////////*/
/*/////////////////Responsive//////////////////////*/
/*/////////////////////////////////////////////////*/


@media(max-width:1440px){
    #como-procedemos .contenidos {
        display: grid;
        grid-template-columns: repeat(3,1fr);
        gap: 2em;
    }
    #fases .contenidos {
        display: grid;
        grid-template-columns: repeat(2,1fr);
        gap: 2em;
    }

    #fases .contenidos .contenido{
        flex-direction: column;
        justify-content: start;
    }

    #fases .contenidos .contenido img{
        width: 100%;
        min-height: 30vh;
    }

    #fases .contenidos .contenido .texto{
        width: 100%;
    }
}

@media(max-width: 1280px){
    #inicio video {
        width: 600px;
        height: 338px;
    }
}
@media(max-width: 1140px){
    #inicio video {
        width: 500px;
        height: 281px;
    }
}

@media(max-width: 1024px){
    .problema, .solucion{
        padding: 5% 5%;
    }

    .contenido-central{
        padding: 5% 5%;
    }

    #beneficios .contenidos {
        grid-template-columns: repeat(2,1fr);
    }
    .banner .content {
        width: 60%;
    }
    #inicio .video {
        position: relative;
    }
    #inicio .banner {
        height: calc(100vh + 220px);
    }
    #inicio video {
        width: 100%;
        height: auto;
    }
    #inicio .video {
        bottom: inherit;
        right: inherit;
        margin-top: 10px;
    }
    #inicio .video .close {
        opacity: 1;
    }
    .banner .content a{
        text-decoration: none;
        color: white;
        background-color: var(--principal);
        align-self: flex-start;
        padding: 1rem 2rem;
        border-radius: 5em;
        width: 50%;
        text-align: center;
    }
}

@media(max-width: 768px){
    #como-procedemos .contenidos {
        display: grid;
        grid-template-columns: repeat(2,1fr);
        gap: 2em;
    }
    #como-procedemos .contenidos .contenido:last-child{
        grid-column: unset;
    }
    .banner{
        justify-content: start;
        align-items: start;
        background: url(/uploads/plantas-desaladoras-compactas-fondo-mv.jpg);
    }
    .banner .content {
        width: 100%;
        margin-top: 20%;
    }
    .problema, .solucion{
        padding: 10% 5% 10% 5%;
    }

    .contenido-central{
        padding: 15% 5% 0 5%;
    }
    #instalaciones .contenidos .contenido {
        flex-direction: column !important;
    }
    #instalaciones .contenidos .contenido img {
        width: 100%;
        height: auto;
    }
    #instalaciones .contenidos .contenido .texto {
        width: 100%;
    }
    #plantas .plantas-cont {
        flex-direction: column;
    }
    #plantas .contenidos {
        width: 100%;
    }
    #plantas .imagen {
        width: 100%;
        height: 50vh;
    }
    #fases .contenidos .contenido::after {
        content: '\2193';
        top: inherit;
        bottom: -22px;
        left: calc(50% - 10px);
        width: fit-content;
    }
    #beneficios .contenidos .contenido {
        grid-column-start: unset !important;
        grid-column-end: unset !important;
    }
    #beneficios {
        padding-bottom: 10%;
    }
}

@media(max-width: 640px){
    #como-procedemos .contenidos {
        grid-template-columns: repeat(1,1fr);
    }
    #como-procedemos .contenidos .contenido:last-child{
        grid-column: unset;
    }
    #beneficios .contenidos {
        grid-template-columns: repeat(1,1fr);
    }

    .problema h2, .solucion h2 {
        font-size: 1.5rem;
    }

    .problema p, .solucion p {
        font-size: .8rem;
    }
    #inicio .text-blocks {
        gap: 1rem;
    }
    #inicio .text-blocks h1 {
        font-size: 32px;
    }
    #inicio .text-blocks p {
        font-size: 16px;
    }
    #fases .contenidos {
        grid-template-columns: repeat(1,1fr);
    }
    .contenido-central p{
        font-size: .9rem !important;
        line-height: 1.5!important;
    }
    .contenido-central h3{
        font-size: 1.2rem !important;
        line-height: 1.5!important;
    }

    #formulario {
        padding: 15% 5%;
    }
    #formulario .contenidos {
        flex-direction: column;
    }
    #formulario .contenidos .contenido {
        width: 100%;
    }
}

